<?php

namespace App\Entities\Part;

use App\Models\Part\DISKModel;

class DISKEntity extends PartType1Entity
{
    const PK    = DISKModel::PK;
    const TITLE = DISKModel::TITLE;
    protected $attributes = [
        'title' => '',
        'used' => 0,
        'price' => 0,
        'stock' => 0,
        'format' => 0,
        'status' => '',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    //기본기능    

    public function getFormat(): int
    {
        return $this->attributes['format'] ?? 0;
    }
}
